Bug 125579 - needs a patch to work with evolution-connector
needs a patch to work with evolution-connector
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 20:39 EDT by David Lowe
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2.13-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 17:45:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lowe 2004-06-08 20:39:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040403 Firefox/0.8

Description of problem:
evolution-connector-1.4.7 requires a patch to openldap to function
correctly. In particular, the "Global Address List" in evolution does
not seem to work without this patch. The patch "openldap-ntlm.diff"
can be found in the docs directory of the evolution-connector source code.

Version-Release number of selected component (if applicable):
openldap-clients-2.1.29-1, openldap-2.1.29-1

How reproducible:
Always

Steps to Reproduce:
1. Use evolution to connect to an Exchange Server
2. Global Address List does not work
3. Recompile openldap with patch, and evolution connector
4. Global address list does work
    

Additional info:
Comment 1 Nalin Dahyabhai 2004-07-14 14:15:37 EDT
Has this patch been submitted upstream?
Comment 2 David Lowe 2004-07-26 08:31:15 EDT
I found some discussion of submitting the patch here:
http://lists.ximian.com/archives/public/evolution-hackers/2004-May/003772.html

But could not see a submitted patch to openldap:
http://www.openldap.org/its/index.cgi

Ximian/SUSE/Novell releases its own evo-openldap package which
contains the patch.
http://ftp.ximian.com/pub/evolution-devel-snapshot/suse-91-i586/
Comment 3 Nalin Dahyabhai 2004-07-26 19:55:17 EDT
The packages pointed to above install things in /opt; I don't think
that's an option for us, but the build-another-copy strategy is doable
(ugh, the patch needs porting to 2.2, too).  Dave, how does
/usr/%{_lib}/evolution-openldap sound as a prefix for these files?

The static libraries will require libsasl2, so the connector's
configure script is going to have to be smart enough to add that
library, or we'll have to build them without SASL support.  If the
connector starts using SASL later on (Win2k3 appears to support
SASL/DIGEST-MD5 just fine, so this whole NTLM mess could be dispensed
with when talking to sufficiently-new servers), we'll have to fix the
connector's configure script anyway.
Comment 4 Tom DuVally 2004-08-05 13:58:34 EDT
As a note:
A dump of the network traffic during a failed attempt to connect to the GC shows that it 
attempts to bind using the username and password of the exchange account.  This is all 
sent clear-text.  
Comment 5 Nalin Dahyabhai 2004-08-23 17:45:20 EDT
Yes, if the connector does not detect ldap_ntlm_bind() at build-time,
it will instead call ldap_simple_bind(), and that's what you're seeing.
The openldap-devel-2.2.13-2 package will have patched static libraries
off in /usr/%{_lib}/evolution-openldap, and
evolution-connector-1.5.92-3 will make use of them.

Note You need to log in before you can comment on or make changes to this bug.